Seal recording integrity
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/recordings/{id}/integrity/seal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_sha256": "<string>",
"encryption_algorithm": "<string>"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/recordings/{id}/integrity/seal"
payload = {
"content_sha256": "<string>",
"encryption_algorithm": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_sha256: '<string>', encryption_algorithm: '<string>'})
};
fetch('https://api.orbit.devotel.io/api/v1/recordings/{id}/integrity/seal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Recordings
Seal recording integrity
Compute and persist the tamper-evident seal for the recording, chaining it into this tenant’s recording-integrity hash chain and stamping the tenant’s BYOK/KMS posture. Compliance-governance action: requires the voice:write scope and an owner or admin role, and is audit-logged.
POST
/
api
/
v1
/
recordings
/
{id}
/
integrity
/
seal
Seal recording integrity
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Recording id to seal.
Body
application/json
Response
Default Response
⌘I